Subject: REVIEW: Apple CD-300 CD-ROM drive
From: [email-masked] (Heiko Rath)
Date: 1 Jun 1993 18:31:16 GMT
Newsgroups: comp.sys.amiga.reviews

PRODUCT NAME

	Apple CD-300

BRIEF DESCRIPTION

	The Apple CD-300 is a dual speed SCSI CD-ROM drive that supports
playing of audio CDs, reading of CD-ROMs, is multi-session compatible, and
conforms to several other standards.  As a bonus, it can read digital data
from audio CDs.

AUTHOR/COMPANY INFORMATION

	Name:		Apple Computer GmbH
	Address:	Gutenbergstr. 1
			D-8045 Ismaning
			GERMANY

			[MODERATOR'S NOTE:  Apple has different contact
			addresses in other countries.  - Dan]

	Telephone:	+49 (89) 99640-0
	FAX:		+49 (89) 99640-180

LIST PRICE

	I don't know the list price.  I paid DM 800,- (about $500 (US))
at my local Apple dealer here in Germany.

SPECIAL HARDWARE AND SOFTWARE REQUIREMENTS

	HARDWARE

		An Amiga with a SCSI host adapter.
		A SCSI bus terminator.

	SOFTWARE

		A CD-ROM filesystem for accessing CD-ROMs.  I use the Babel
		CDROM FS V1.1.

		For playing audio CDs, you will need a little utility.  I
		have written such a thing called SCSIUtil that will allow
		you to play selected tracks.  A much more comfortable
		solution is Jukebox, a program with a GUI and ARexx support,
		available from Franz-Josef Reichert ([email-masked]).

COPY PROTECTION

	None.

MACHINE USED FOR TESTING

	Amiga 3000/25
	Quantum LP52S hard disk
	Fujitsu M2624S-512 hard disk
	Wangtek 5150ES SCSI FA14 streamer
	2 MB CHIP RAM, 8 MB FAST RAM
	AmigaDOS 2.1 (Kickstart 37.175, Workbench 38.35)
	Commodore A2232 multiserial card
	Macrosystems VLAB real time video digitizer card
	Babel CDROM FS V1.1 (highly recommended)

COMPONENTS SUPPLIED IN PACKAGE

	Apple CD 300
	Power cord
	Warranty Statement
	License Agreement (that could turn your brain into jelly ;-)
	1 Caddy
	2 Macintosh floppies
	1 User Manual
	9 CDs:
	  - The Macintosh Demo Games CD
	  - The Macintosh Demo Applications CD
	  - Just Grandma and me
	  - From Alice to Ocean
	  - Euro CD Introduction to CD-ROM
	  - Mozart String Quartet in C Major, K.465 The "Dissonant"
	  - Apple CD-ROM Titles Sampler
	  - Apple Chronicle
	  - Kodak Photo CD Photo Sampler

REVIEW

	After having decided to get a CD-ROM drive I watched the newsgroup
"alt.cd-rom" for suggestions on a good one to buy.  As minimum requirements
I wanted a drive with double speed (300 KB/s), multi-session Photo CD
support and the ability to play audio CDs.  When I first heard about the
Apple drive that would also allow me to read digital data off audio CDs, I
was hooked.

	My local Apple dealer told me that I would have to wait for the
drive, as it was available in the USA but not in Germany yet.  When he
also told me that the price would be around DM 800,- ($500 (US)), I
ordered one immediately.

	Finally the drive arrived at the beginning of March 1993.  The box
contained the drive, some Macintosh specific software, and a short user's
manual.  The color of the Apple CD-300 is the same as that of my Amiga 3000,
only a little bit lighter.  On the front panel it has an eject button, a
status LED, volume control, and a headphone jack.  Next to the eject button
is a little hole which is used to eject a disc in an emergency.  The eject
mechanism is motor-controlled, and a trap door very ingeniously protects the
drive against dust.  On the rear, the drive has two RCA audio output jacks
(to connect to an external amplifier or amplified speakers), the on/off
switch, the power connector, two SCSI 50-pin connectors, and a selector for
the SCSI ID.

	The drive requires standard Sony style caddies for accessing CDs.
This means that in order to insert a CD, you first have to place it into a
caddy and then load it together with the caddy into the drive.

	I connected the drive to my Amiga 3000 and installed the Babel CDROM
FS V1.1.  Without any other setup problems, I'm now able to use ISO 9660
formatted CD-ROMs at a very decent speed (the directory scanning and reading
of data feels much faster than with a 150 KB/s CD-ROM drive on my SUN
workstation at work).

	Since the software that was available at that time to play audio CDs
was not compatible with the drive, I decided to write my own utility.  This
was easily done by taking the ANSI SCSI 2 Draft and using the commands
described there, since the drive follows the recommendations closely.

	After I saw Franz Josef Reichert's ([email-masked]) Jukebox
program, I spoke to him about a version with support for the Apple CD-300.
He was very helpful and there now exists a player module for this drive.

	The drive is able to support multi-session Photo CDs with a
Macintosh.  To do the same with my Amiga, I needed some software.  After
looking around and getting a hint to search in alt.sources, I found Hadmut
Danisch's ([email-masked]) hpcdtoppm utility, originally written on a
UNIX machine.  This was easily compiled on my Amiga and enables me to
convert Photo CD images to PPM, from where I can convert to any other
required format.

	Because I'm very curious, I wanted to know how to read digital data
off an audio CD.  Several questions later, I had the info about a vendor
specific SCSI command and incorporated it into my little SCSIUtil.  Now I'm
able to read all these soundbits and pieces and use them on my Amiga.

	BTW, the Apple CD-300 replies to a SCSI INQUIRY command with "SONY
CD-ROM CDU-8003".  I heard that this basically a Sony CDU-561 drive with a
patched ROM.

	Apple CD 300 Technical Specifications:

	Playback medium: 12-cm optical disc installed in a CD caddy
			 (any CD-ROM or audio compact disc is compatible)
	Capacity:
		Mode 1: 656 MB
		Mode 2: 748 MB
	Recording surfaces: 1
	Data/block (available to user):
		Mode 1: 2048 bytes
	Data/block (available to user),
		Mode 2: 2336 bytes
	Blocks per disc: more than 270,000
	Audio playback:
		Playing time: more than 1 hr.
		Frequency response: 20 to 20,000 Hz
	Characteristics:
		Rotational speed:
		-- Normal speed (1X): 230 to 530 rpm
		-- Double speed (2X)*: 460 to 1060 rpm
		Average access time:
		-- Normal speed (1X): 360 ms
		-- Double speed (2X): 295 ms
		Data streaming rate, normal speed (1X):
		-- Mode 1: 150 KB/sec
		-- Mode 2: 171 KB/sec
		Data streaming rate, double speed (2X):
		-- Mode 1: 300 KB/sec
		-- Mode 2: 342 KB/sec

		* "(2X)" is the symbol for increased performance -- double
		 the spin speed

		Block rate:
		-- Normal speed (1X): 75 blocks/sec
		-- Double speed (2X): 150 blocks/sec
		SCSI bus transfer burst rate (over one
			CD-ROM block): 2.5 MB/sec
		Buffer size: 256 KB
	Formats supported:
		Multi-session Kodak Photo CD
		ISO 9660/High Sierra
		Macintosh HFS
		CD-ROM XA (requires additional ADPCM hardware to read
			   compressed audio)
		CD+G
		CD+MIDI
		Standard audio CDs
		CD digital audio data via SCSI bus Interfaces
		One headphone jack with volume control (front panel)
		Two SCSI 50-pin connectors (rear panel)
		Two RCA audio output jacks for external amplifier or
		amplified speakers (rear panel)
	Electrical requirements:
		Power requirements:
		-- External: 100 to 240 V AC, 50/60 Hz
		-- Internal: +5 V DC 15%,12 V DC 1 10%
	Power consumption:
		-- External: 0.28 A AC (drive on)
		-- Internal: 350 mA maximum for +5 V and
		   750 mA average, 1.5 A peak for +12 V
	Operating environment:
		Temperature:
		-- External: 41! F to 104! F (5! C to 40! C)
		-- Internal: 41< F to 122< F (5< C to 50< C)
		Relative humidity: 5% to 90% noncondensing
	Non-operating environment:
		Storage temperature ( 6 mo.):
		-22! F to 122! F (-30! C to 50! C)
		Transportation temperature (72 hrs.):
		-40! F to 149! F (-40! C to 65! C)
		Relative humidity: 5% to 95% noncondensing
	Size and weight:
		External:
		-- Height: 1.96 in. (5.0 cm)
		-- Width: 7 in. (17.75 cm)
		-- Depth: 13.1 in. (33.4 cm)
		-- Weight: 6.29 lb. (2.85 kg)
		Internal:
		-- Height: 1.68 in. (4.25 cm)
		-- Width: 5.85 in. (14.85 cm)
		-- Depth: 8.2 in. (20.82 cm)
		-- Weight: 2.76 lb. (1.25 kg)

DOCUMENTATION

	The Apple CD-300 comes with a users manual that explains how to
connect it to an Apple Macintosh, install the required software, handle CDs,
and work with the Macintosh software.  It also contains a short technical
specifications page about the drive.

	As the documentation was written with an Apple user in mind, it is
fairly easy to read and understand, but won't help an Amiga user.  I didn't
require any manuals myself, as connecting the drive to the SCSI bus is
straightforward.

	Unfortunately, the manual doesn't contain any programmer's
documentation, and my local Apple dealer still hasn't been able to get me
some from Apple.

LIKES AND DISLIKES

	I like the Apple CD-300 as it is fast, reliable, relatively cheap
compared to other drives, complies very closely to ANSI SCSI 2, supports
multi-session CDs, and is able to read digital data off audio CDs.

	Some people that I know dislike CD-ROM drives with caddies.
I don't have a problem with caddies.

COMPARISON TO OTHER SIMILAR PRODUCTS

	The Apple CD-300 is comparable to the Toshiba 3401 speed and
featurewise, but the Apple is cheaper (at least here in Germany).

	The NEC CD-73 doesn't support multi-session discs, doesn't
care too much about ANSI SCSI compatibility, and is more expensive.

BUGS

	The drive responds with an error to the SCSI command "READ
SUB-CHANNEL" when the sub-channel data format is set to 0.  This is not a
big problem though, as all the information of the sub-channel data format 0
can be obtained with data formats 1, 2 and 3.

VENDOR SUPPORT

	I'm still waiting for some programmer's documentation that I asked
for when I bought the drive.  I don't know if this is the problem with my
local dealer or with Apple.

WARRANTY

	1 year limited warranty.

CONCLUSIONS

	I'm very pleased with the Apple CD-300.  It satisfies my needs
for a fast, reliable and relatively cheap CD-ROM drive with some extra
features.

	I would buy it again.

COPYRIGHT NOTICE

	Copyright 1993 Heiko Rath, All rights reserved.

-- 
  // <HR> aka Heiko Rath, Raiffeisenstr.10a, D-6108 Weiterstadt, Germany
\X/  The Software Brewery |PGP-key on request| [email-masked].{de|sub.org}

---

   Daniel Barrett, Moderator, comp.sys.amiga.reviews
   Send reviews to:	[email-masked]
   Request information:	[email-masked]
   Moderator mail:	[email-masked]